Delete an API key
curl --request DELETE \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys/{apiKeyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys/{apiKeyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys/{apiKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "orgId",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 2,
"message": "Organization does not exist."
}{
"group": "api-key",
"code": 1201,
"message": "Get API key encountered DB error.",
"traces": [
"DB error occurred."
]
}organizations
Delete an API key
Deletes an API key by its ID.
- Organization owner/admin: Can delete any API key within their organization.
- Organization user: Can only delete the API keys they created.
DELETE
/
organizations
/
{orgId}
/
api-keys
/
{apiKeyId}
Delete an API key
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
The API key ID.
- Must be a valid UUID.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Successfully deleted an API key.
⌘I